%global gitrev bb0ae
%global posttag git%{gitrev}
%global snapshot %{version}-%{posttag}

Name:       pybugz
Summary:    Command line interface for Bugzilla written in Python
Version:    0.13
Release:    2%{?dist}
License:    GPLv2
URL:        https://github.com/williamh/pybugz
BuildArch:  noarch

Requires:       python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Patch0: pybugz-0.13-gitbb0ae-rh-default.patch
Patch1: pybugz-0.13-gitbb0ae-limit-configurable.patch

%global bash_completion 1

%if 0%{?bash_completion}
BuildRequires: bash-completion pkgconfig
%endif

Source0: %{name}-%{snapshot}.tar.gz

%description
Pybugz was conceived as a tool to speed up the work-flow for Gentoo Linux
contributors when dealing with bugs using Bugzilla.  By avoiding the clunky web
interface, the user can search, isolate and contribute to the project very
quickly.  Developers alike can easily extract attachments and close bugs
comfortably from the command line.


%prep
%autosetup -p1 -n %{name}-%{snapshot}


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --root=%{buildroot}

%global bash_cmpl_dir %(pkg-config --variable=completionsdir bash-completion)
%if 0%{?bash_completion}
  mkdir -p %{buildroot}%{bash_cmpl_dir}
  cp %{_builddir}/%{name}-%{snapshot}/contrib/bash-completion \
     %{buildroot}%{bash_cmpl_dir}/bugz
%endif

mkdir -p %{buildroot}%{_mandir}/man1
cp man/bugz.1 %{buildroot}%{_mandir}/man1/bugz.1
mkdir -p %{buildroot}%{_docdir}


%files
%{_bindir}/bugz
%{python3_sitelib}/bugz
%if 0%{?bash_completion}
  %{bash_cmpl_dir}/bugz
%endif
%{python3_sitelib}/%{name}-*.egg-info
%{_mandir}/man1/bugz.1.gz
%{_datadir}/pybugz.d/
%{_mandir}/man5/*
%doc README LICENSE


%changelog
* Tue May 07 2024 Fanjun Kong <fanjunkong@tencent.com> - 0.13-2
- epol debrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13-1
- initial build
